summaryrefslogtreecommitdiffstats
path: root/bin/dosed
diff options
context:
space:
mode:
authorJason Stubbs <jstubbs@gentoo.org>2005-08-28 08:37:44 +0000
committerJason Stubbs <jstubbs@gentoo.org>2005-08-28 08:37:44 +0000
commitd9fc4acc572c6647a4f27b838d35d27d805d190e (patch)
tree262a8de35d8c7567312757da5f1f66efdc8cece5 /bin/dosed
downloadportage-d9fc4acc572c6647a4f27b838d35d27d805d190e.tar.gz
portage-d9fc4acc572c6647a4f27b838d35d27d805d190e.tar.bz2
portage-d9fc4acc572c6647a4f27b838d35d27d805d190e.zip
Migration (without history) of the current stable line to subversion.
svn path=/main/branches/2.0/; revision=1941
Diffstat (limited to 'bin/dosed')
-rwxr-xr-xbin/dosed22
1 files changed, 22 insertions, 0 deletions
diff --git a/bin/dosed b/bin/dosed
new file mode 100755
index 000000000..2c53b22d3
--- /dev/null
+++ b/bin/dosed
@@ -0,0 +1,22 @@
+#!/bin/bash
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-src/portage/bin/dosed,v 1.7 2004/10/04 13:56:50 vapier Exp $
+
+mysed="s:${D}::g"
+
+for x in "$@" ; do
+ y="${D}${x}"
+ if [ -a "${y}" ] ; then
+ if [ -f "${y}" ] ; then
+ mysrc="${T}/${y##*/}"
+ cp "${y}" "${mysrc}"
+ sed -e "${mysed}" "${mysrc}" > "${y}"
+ else
+ echo "${y} is not a regular file!"
+ exit 1
+ fi
+ else
+ mysed="${x}"
+ fi
+done